UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields

@HomeExperimentalGenericApi
enum UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields : Enum, Field


Descriptor enum for this command's response fields.

Summary

Enum Values

nullableIntValue

The nullableIntValue command response field.

nullableIntWasNull

The nullableIntWasNull command response field.

nullableListValue

The nullableListValue command response field.

nullableListWasNull

The nullableListWasNull command response field.

nullableOptionalIntValue

The nullableOptionalIntValue command response field.

nullableOptionalIntWasNull

The nullableOptionalIntWasNull command response field.

nullableOptionalIntWasPresent

The nullableOptionalIntWasPresent command response field.

nullableOptionalListValue

The nullableOptionalListValue command response field.

nullableOptionalListWasNull

The nullableOptionalListWasNull command response field.

nullableOptionalListWasPresent

The nullableOptionalListWasPresent command response field.

nullableOptionalStringValue

The nullableOptionalStringValue command response field.

nullableOptionalStringWasNull

The nullableOptionalStringWasNull command response field.

nullableOptionalStringWasPresent

The nullableOptionalStringWasPresent command response field.

nullableOptionalStructValue

The nullableOptionalStructValue command response field.

nullableOptionalStructWasNull

The nullableOptionalStructWasNull command response field.

nullableOptionalStructWasPresent

The nullableOptionalStructWasPresent command response field.

nullableStringValue

The nullableStringValue command response field.

nullableStringWasNull

The nullableStringWasNull command response field.

nullableStructValue

The nullableStructValue command response field.

nullableStructWasNull

The nullableStructWasNull command response field.

optionalIntValue

The optionalIntValue command response field.

optionalIntWasPresent

The optionalIntWasPresent command response field.

optionalListValue

The optionalListValue command response field.

optionalListWasPresent

The optionalListWasPresent command response field.

optionalStringValue

The optionalStringValue command response field.

optionalStringWasPresent

The optionalStringWasPresent command response field.

optionalStructValue

The optionalStructValue command response field.

optionalStructWasPresent

The optionalStructWasPresent command response field.

Public companion properties

StructDescriptor

Public functions

UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields
valueOf(value: String)

Returns the enum constant of this type with the specified name.

Array<UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields>

Returns an array containing the constants of this enum type, in the order they're declared.

Public properties

open Descriptor
EnumEntries<UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields>

Returns a representation of an immutable list of all enum entries, in the order they're declared.

open String
open Boolean
Boolean
open UInt
open Type
open String

Enum Values

Public companion properties

StructDescriptor

val StructDescriptorStructDescriptor

Public functions

valueOf

fun valueOf(value: String): UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Throws
kotlin.IllegalArgumentException

if this enum type has no constant with the specified name

values

fun values(): Array<UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields>

Returns an array containing the constants of this enum type, in the order they're declared.

This method may be used to iterate over the constants.

Public properties

descriptor

open val descriptorDescriptor

entries

val entriesEnumEntries<UnitTestingTrait.TestComplexNullableOptionalRequestCommand.Response.CommandFields>

Returns a representation of an immutable list of all enum entries, in the order they're declared.

This method may be used to iterate over the enum entries.

fieldName

open val fieldNameString

isList

open val isListBoolean

isNullable

val isNullableBoolean

tag

open val tagUInt

typeEnum

open val typeEnumType

typeName

open val typeNameString